import { create } from 'zustand';
import { client } from '@/modules/query';

type ClientStore = {
  isClient: boolean;
  setIsClient: (isClient: boolean) => void;
  checkClient: () => Promise<void>;
  mount: boolean;
  setMount: (mount: boolean) => void;
};
export const useClientStore = create<ClientStore>((set) => ({
  isClient: false,
  setIsClient: (isClient) => set({ isClient }),
  mount: false,
  setMount: (mount) => set({ mount }),
  checkClient: async () => {
    // @ts-ignore
    let isClient = window?.electron;
    if (isClient) {
      set({ isClient: true, mount: true });
      return;
    }
    try {
      const res = await client.post({
        path: 'check',
      });
      if (res.code === 200) {
        set({ isClient: true, mount: true });
        return;
      }
    } catch (error) {
      console.error(error);
    }
    set({ mount: true });
  },
}));
